package bildbearbeitung;

import mediacomputation.Picture;

public class BilderNacheinanderBearbeiten implements BildBearbeitungInterface {

	private final BildBearbeitungInterface bildBearbeitung1;
	private final BildBearbeitungInterface bildBearbeitung2;

	public BilderNacheinanderBearbeiten(
			BildBearbeitungInterface bildBearbeitung1,
			BildBearbeitungInterface bildBearbeitung2) {
		this.bildBearbeitung1 = bildBearbeitung1;
		this.bildBearbeitung2 = bildBearbeitung2;
	}

	@Override
	public Picture bearbeite(Picture orginalBild) {
		Picture neuesBild1 = bildBearbeitung1.bearbeite(orginalBild);
		Picture neuesBild2 = bildBearbeitung2.bearbeite(neuesBild1);
		return neuesBild2;
	}

}
